Security Enhanced Linux Reference Policy

# Layer: services

## Module: zfs

Interfaces

### Description:

Tools for the Zettabyte File System.

### Interfaces:

zfs_admin( domain , role )

##### Summary

All of the rules required to administrate a ZFS environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

zfs_domtrans( domain )

##### Summary

Execute ZFS tools in the ZFS domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

zfs_exec( domain )

##### Summary

Execute ZFS tools in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

zfs_filetrans_zpool_cache( domain )

##### Summary

Create the zpool cache with an automatic transition to the zpool cache type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

zfs_read_config( domain )

##### Summary

Read ZFS config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

zfs_run( domain , role )

##### Summary

Execute ZFS tools in the ZFS domain, and allow the specified role the ZFS domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

zfs_rw_zpool_cache( domain )

##### Summary

Read and write zpool cache files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

zfs_search_config( domain )

##### Summary

Search ZFS config directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return